       module gf_param
       use types

!------------------------------------------------------------------------
! default grid functions parameters
! one "physical" gridfunction + trunction error estimate
!------------------------------------------------------------------------

! number of grid functions   
integer(I4B), parameter :: n_gfcn = 2

! names of grid functons
character(64), dimension(n_gfcn), target :: gnames = &
(/'amplitude','estre'/)

! number of time levels the grid functions are to be stored
integer(I4B), dimension(n_gfcn) ::   ntlev = (/2,1/)

! alias names with grid function numbers
integer(I4B) ampl,estre
parameter(ampl=1,estre=2)

!which function are to be interpolated during regridding
integer(I4B), parameter :: ninterp = 1
integer(I4B), dimension(ninterp) :: what = (/ AMPL /)

! dimensionality of the grid functions
integer(I4B), parameter :: maxdim = 3 
       
! inital integration time
real(SP), parameter  :: t_init = 0.0d0

end module gf_param








